function onBegin()
    disableMovement()
    makeUnskippable()
    engine.scene:RegisterAreaComplete()
    setFlag("sit", true)
    wait (61)
    setFlag("FadeOutCrimson", true)
    wait (13)
end
function onEnd()
    completeArea(true,true,true)
      enableMovement()
      enableRetry()
end